<h1>Регистрация</h1>

<form [formGroup]="form"
      (ngSubmit)="handleFormSubmit()"
      class="create-profile-form">
  <mat-form-field>
    <mat-label>Фамилия</mat-label>

    <input matInput
           formControlName="lastName"
           type="text"
           placeholder="Введите вашу фамилию">

    <mat-error *ngIf="form.controls.lastName.invalid && form.controls.lastName.touched">
      Значение не указано
    </mat-error>
  </mat-form-field>

  <mat-form-field>
    <mat-label>Имя</mat-label>

    <input matInput
           formControlName="firstName"
           type="text"
           placeholder="Введите ваше имя">

    <mat-error *ngIf="form.controls.firstName.invalid && form.controls.firstName.touched">
      Значение не указано
    </mat-error>
  </mat-form-field>

  <mat-form-field>
    <mat-label>Отчество</mat-label>
    <input matInput
           formControlName="middleName"
           type="text"
           placeholder="Введите ваше отчество">
  </mat-form-field>

  <mat-form-field>
    <mat-label>Email</mat-label>
    <input matInput
           formControlName="email"
           type="email"
           placeholder="Введите ваш Email">

    <mat-error *ngIf="form.controls.email.hasError('required') && form.controls.email.touched">
      Значение не указано
    </mat-error>

    <mat-error *ngIf="form.controls.email.hasError('email') && form.controls.email.touched">
      Неправильный адрес электронной почты
    </mat-error>
  </mat-form-field>

  <mat-form-field>
    <mat-label>Телефон</mat-label>

    <input matInput
           formControlName="phone"
           type="text"
           placeholder="Введите ваш телефон">

    <mat-error *ngIf="form.controls.phone.hasError('required') && form.controls.phone.touched">
      Значение не указано
    </mat-error>

    <mat-error *ngIf="form.controls.phone.hasError('pattern') && form.controls.phone.touched">
      Неверно указан номер телефона
    </mat-error>
  </mat-form-field>

  <div class="passport-form-field-container">
    <mat-form-field class="passport-series">
      <mat-label>Серия паспорта</mat-label>

      <input matInput
             formControlName="passportSeries"
             type="text"
             placeholder="Введите серию паспорта">

      <mat-error *ngIf="form.controls.passportSeries.hasError('required') && form.controls.passportSeries.touched">
        Значение не указано
      </mat-error>

      <mat-error *ngIf="form.controls.passportSeries.hasError('pattern') && form.controls.passportSeries.touched">
        Неверная серия
      </mat-error>
    </mat-form-field>

    <mat-form-field class="passport-number">
      <mat-label>Номер паспорта</mat-label>

      <input matInput
             formControlName="passportNumber"
             type="text"
             placeholder="Введите номер паспорта">

      <mat-error *ngIf="form.controls.passportNumber.hasError('required') && form.controls.passportNumber.touched">
        Значение не указано
      </mat-error>

      <mat-error *ngIf="form.controls.passportNumber.hasError('pattern') && form.controls.passportNumber.touched">
        Неверный номер паспорта
      </mat-error>
    </mat-form-field>
  </div>

  <mat-form-field>
    <mat-label>Введите пароль</mat-label>
    <input matInput
           formControlName="password"
           type="password"
           placeholder="Введите пароль">
  </mat-form-field>

  <mat-form-field>
    <mat-label>Повторите пароль</mat-label>
    <input matInput
           formControlName="confirmPassword"
           type="password"
           placeholder="Введите пароль снова">

    <mat-error *ngIf="form.controls.confirmPassword.hasError('repeatedPassword') && form.controls.confirmPassword.touched">
      Пароли не совпадают
    </mat-error>
  </mat-form-field>

  <p>
    Нажимая "Зарегистрироваться" вы соглашаетесь с

    <a routerLink="/docs/terms" target="_blank">Условиями Использования</a> и <a routerLink="/docs/privacy"  target="_blank">Политикой приватности</a>.
  </p>

  <div class="next-button-container">
    <button type="submit" mat-fab color="primary" aria-label="Example icon button with a delete icon">
      <mat-icon>arrow_forward</mat-icon>
    </button>
  </div>
</form>
